Subject: bug#63250: closed (Re: bug#63250: package dante : socksify: error: dante client not built with preloading support)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 19 Feb 2024 20:44:03 +0000

Your bug report

#63250: package dante : socksify: error: dante client not built with preloading support

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63250: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63250
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63250: package dante : socksify: error: dante client not built with preloading support
From: Simon Tournier <[email-masked]>
To: Nguyễn Gia Phong <[email-masked]>, [email-masked]
Cc: Benjamin <[email-masked]>
Date: Mon, 19 Feb 2024 17:33:28 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On dim., 18 févr. 2024 at 17:33, Nguyễn Gia Phong via Bug reports for GNU Guix <[email-masked]> wrote:
> On 2024-02-15 at 17:18+01:00, Simon Tournier wrote:
>> On mer., 20 déc. 2023 at 16:18, Nguyễn Gia Phong wrote:
>> > Could you take a look at https://issues.guix.gnu.org/67675
>> > if it fixes it for you?
>>
>> Since patch#67675 is merged, is it fixed now?
>
> FWIW it is fixed for me d-;

So closing.

Benjamin, if I am missing something, let me know.

Cheers,
simon

Subject: package dante : socksify: error: dante client not built with preloading support
From: "Benjamin" <[email-masked]>
To: <[email-masked]>
Date: Wed, 03 May 2023 15:55:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Dante package is not compiled with preloading support but it
could be

To reproduce : 

guix shell dante w3m
echo "<hmtl><h1> Hello </h1> <p> World ! </p> </html>" | (
	export SOCKS_SERVER="127.0.0.1:1"
	exec socksify w3m -T text/html -dump
)

Following error is returned
error: dante client not built with preloading support.

Here is the result without socksify
```
echo "<hmtl><h1> Hello </h1> <p> World ! </p> </html>" | (w3m -T text/html -dump)
```

For additional information, I faced the problem when using the "html"
filter of aerc

cat /gnu/store/...aerc.../share/aerc/filters/html
```
#!/gnu/store/rib9g2ig1xf3kclyl076w28parmncg4k-bash-minimal-5.1.16/bin/sh
# aerc filter which runs w3m using socksify (from the dante package) to prevent
# any phoning home by rendered emails
export SOCKS_SERVER="127.0.0.1:1"
exec socksify w3m \
	-I UTF-8 \
	-T text/html \
	-cols $(tput cols) \
	-dump \
	-o display_imageúlse \
	-o display_link_number=true
```

It seems that there was also these problem on the side of nixos : 
https://github.com/NixOS/nixpkgs/issues/73697